For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Get a User by Name

Note

Groups and projects are synonymous terms. Your {PROJECT-ID} is the same as your group id. For existing groups, your group/project id remains the same. This page uses the more familiar term group when referring to descriptions. The endpoint remains as stated in the document.

You can always retrieve your own user account. Otherwise, you must have the Project User Admin role in at least one project that is common between you and the user you are retrieving.

You cannot use this endpoint to return information on an API Key. Request the Get One API Key endpoint to get this information.

Base URL: https://cloud.mongodb.com/api/public/v1.0

GET /users/byName/{USER-NAME}
Parameter
Type
Description

USER-NAME

string

(Required.) Username of the MongoDB user that you want to retrieve.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether to return the response body in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

This endpoint doesn't use HTTP request body parameters.

The HTTP document contains each of the following elements:

Name
Type
Description

emailAddress

string

Email address of the Cloud Manager user.

firstName

string

First name of the Cloud Manager user.

id

string

Unique identifier of the Cloud Manager user.

lastName

string

Last name of the Cloud Manager user.

links

object array

Links to related sub-resources. All links arrays in responses include at least one link called self. The relationship between URLs are explained in the Web Linking Specification.

mobileNumber

string

Mobile number of the Cloud Manager user.

roles

object array

Role assignments.

roles.groupId

string

Unique identifier for the project in which the user has the specified role.

roles.orgId

string

Unique identifier for the organization in which the user has the specified role.

roles.roleName

string

Name of the role. The users resource returns all the roles the user has in both Cloud Manager and MongoDB Atlas.

The following values are valid:

username

string

Username of the Cloud Manager user.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--include \
--request GET "https://cloud.mongodb.com/api/public/v1.0/users/byName/jane"
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{
"emailAddress" : "jane@qa.example.com",
"firstName" : "Jane",
"id" : "533dc19ce4b00835ff81e2eb",
"lastName" : "D'oh",
"roles" : [ {
"groupId" : "{PROJECT-ID}",
"roleName" : "GROUP_USER_ADMIN"
},{
"orgId" : "55555bbe3bd5253aea2d9b16",
"roleName" : "ORG_MEMBER"
} ],
"links" : [],
"username": "jane"
}